import { RestPathParams } from './RestPathParams';
import { RestRequestBody } from './RestRequestBody';
import { RestResponseBody } from './RestResponseBody';
import { RestQueryParams } from './RestQueryParams';
import { RestRequestHeaders } from './RestRequestHeaders';
import { RestApiRequest } from './RestApiRequest';
import { RestApiResponse } from './RestApiResponse';
import { RestRequireAuthentication } from './RestRequireAuthentication';
export type RestApiRequestHandler<PathParams extends RestPathParams = never, QueryParams extends RestQueryParams = never, RequestHeaders extends RestRequestHeaders = never, RequestBody extends RestRequestBody = never, ResponseBody extends RestResponseBody = never, RequireAuthentication extends RestRequireAuthentication = false> = (request: RestApiRequest<PathParams, QueryParams, RequestHeaders, RequestBody, RequireAuthentication>) => Promise<RestApiResponse<ResponseBody>>;
export type RestApiRequestHandlerBase = RestApiRequestHandler<RestPathParams, RestQueryParams, RestRequestHeaders, RestRequestBody, RestResponseBody, RestRequireAuthentication>;
